package com.winhc.utils;

/**
 * @author π
 * @Description:
 * @date 2022/1/10 14:13
 */
public class ESUtils {
    public static String updateHumanMappingId(String old_human_pid, String new_human_pid) {
        String dsl = "{\n" +
                "  \"query\": {\n" +
                "    \"term\": {\n" +
                "      \"human_pid\": {\n" +
                "        \"value\": \"" + old_human_pid + "\"\n" +
                "      }\n" +
                "    }\n" +
                "  },\n" +
                "  \"script\": {\n" +
                "    \"inline\": \"ctx._source['human_pid'] = params.new_human_pid \",\n" +
                "    \"params\": {\n" +
                "      \"new_human_pid\": \"" + new_human_pid + "\"\n" +
                "    }\n" +
                "  }\n" +
                "}";
        return dsl;
    }

    public static String updateBossId(String old_human_pid) {
        String dsl = "{\n" +
                "  \"query\": {\n" +
                "    \"term\": {\n" +
                "      \"_id\": {\n" +
                "        \"value\": \"" + old_human_pid + "\"\n" +
                "      }\n" +
                "    }\n" +
                "  },\n" +
                "  \"script\": {\n" +
                "    \"inline\": \"ctx._source['deleted'] = '9' \"\n" +
                "  }\n" +
                "}";
        return dsl;
    }
}
